import React from "react";

// enum for status
export const UNKNOWN = 0; // check in progress
export const OK      = 1; // check succeeded
export const BAD     = 2; // check succeeded but service reports error
export const FAILED  = 3; // check failed

export const StatusMessage = ({ health }) => {
  switch (health) {
    case UNKNOWN:
      return <span className="tile__status tile__status--unknown">Connecting...</span>
    case OK:
      return <span className="tile__status tile__status--ok">Service Healthy</span>
    case BAD:
      return <span className="tile__status tile__status--bad">Service Error</span>
    case FAILED:
      return <span className="tile__status tile__status--failed">Service Unreachable</span>
    default:
      return <span className="tile__status">Bad Status State</span>
  }
}
