import Tile from "../shared/Tile";
import useHealthPolling from "../../hooks/useHealthPolling";

const plannerHealth = `https://${window.location.hostname}/vacation-planner/api/`;
const update = 1000 * 60 * 20;

const VacationPlanner = () => {
  const health = useHealthPolling(plannerHealth, { ms: update })

  return <Tile
    link={`https://${window.location.hostname}/vacation-planner/`}
    title="Vacation Planner"
    health={health}
  />
}

export default VacationPlanner;
