import { useEffect, useRef } from "react";
import dequal from "dequal";

const useEffectDequal = (effect, deps) => {
  const ref = useRef();

  if (!dequal(ref.current, deps)) {
    ref.current = deps;
  }

  useEffect(effect, ref.current);
}

export default useEffectDequal;